> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organizations

> List all organizations.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/organizations
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/organizations:
    get:
      tags:
        - Organizations
      summary: List Organizations
      description: List all organizations.
      operationId: core_api_v1_controllers_organizations_list_organizations
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    OrganizationListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/OrganizationOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: OrganizationListOut
      type: object
    OrganizationOut:
      properties:
        object:
          default: organization
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_system:
          default: false
          title: Is System
          type: boolean
        user_count:
          default: 0
          title: User Count
          type: integer
        conversation_count:
          default: 0
          title: Conversation Count
          type: integer
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
      title: OrganizationOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````